﻿;
;	KKDE用KAG3定義ファイル
;	KAG 3.36対応版
;

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ピリオドイベントの発生
;attr=frame / [必須] フレーム番号 / _NUMBER_INTEGER / フレーム番号
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="videoevent"]
[unknown key=%frame key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音再生の終了待ち
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=canskip / スキップできるか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="ws"]
[unknown key=%buf key=%canskip key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] アニメーションの停止
;attr=seg / [必須] セグメント / _NUMBER_POSITIVE / 1 以上の整数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;<endmacrocomment>
[macro name="animstop"]
[unknown key=%seg key=%cond key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[メッセージ履歴操作] メッセージ履歴アクションの終了
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="endhact"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM の設定
;attr=volume / 音量 / _RANGE_VALUME / 音量% (0～100)
;attr=gvolume / 大域音量 / _RANGE_VALUME / 音量% (0～100)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="bgmopt"]
[unknown key=%volume key=%gvolume key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤの自動移動の停止
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="stopmove"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 操作対象のメッセージレイヤの指定
;attr=withback / 裏ページにも描画するか / _CONST_BOOL / true または false (デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / レイヤ名 / _OPRANGE_LAYER_MESSAGE / "message0" または "message1"
;attr=page / ページ / _CONST_LAYERPAGE / "fore"(デフォルト) または "back"
;<endmacrocomment>
[macro name="current"]
[unknown key=%withback key=%cond key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[システム操作] 文字数分のウェイトを入れる
;attr=time / [必須] 文字数 / _NUMBER_POSITIVE / 文字数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="wc"]
[unknown key=%time key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音のフェードイン再生
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=storage / [必須] 効果音ファイル名 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;attr=time / [必須] フェードイン時間 / _NUMBER_MSTIME / フェードイン時間(ms)
;attr=loop / 繰り返し再生を行うか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="fadeinse"]
[unknown key=%buf key=%storage key=%time key=%loop key=%cond]
[endmacro]

;<macrocomment>
;tag=[ラベル・ジャンプ操作] シナリオのジャンプ
;attr=countpage / このジャンプを「読んだ」と見なすか / _CONST_BOOL / true(デフォルト) または false
;attr=storage / シナリオファイル名 / _ENUM_FILENAME_SCENARIO / シナリオファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=target / ラベル名 / _ENUM_LABEL / ラベル名
;<endmacrocomment>
[macro name="jump"]
[unknown key=%countpage key=%storage key=%cond key=%target]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] リンクのロックの解除
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="unlocklink"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオ/SWF表示領域の属性を指定
;attr=visible / 可視・不可視 / _CONST_BOOL / true または false
;attr=left / 左端位置 / _NUMBER_PIXEL / 左端位置 ( pixel 単位 )
;attr=position / 移動先時間 / _NUMBER_MSTIME / 時間 ( ms 単位 )
;attr=width / 幅 / _NUMBER_PIXEL / 幅 ( pixel 単位 )
;attr=frame / 移動先フレーム / _NUMBER_INTEGER / フレーム番号
;attr=height / 高さ / _NUMBER_PIXEL / 高さ ( pixel 単位 )
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=loop / ループするかどうか / _CONST_BOOL / true または false
;attr=top / 上端位置 / _NUMBER_PIXEL / 上端位置 ( pixel 単位 )
;attr=mode / 描画モード / _CONST_DRAWMODE / "overlay" または "layer"
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;attr=playrate / 再生速度 / _NUMBER_REAL / 再生速度(0.0より大きい値)
;attr=volume / 音量 / _RANGE_VALUME / 音量% (0～100)
;attr=pan / パン / _RANGE_SOUNDPAN / パン (-100～0～100) 
;attr=audiostreamnum / 音声ストリーム番号 / _NUMBER_INTEGER / 音声ストリーム番号(0～)
;<endmacrocomment>
[macro name="video"]
[unknown key=%visible key=%left key=%position key=%width key=%frame key=%height key=%cond key=%loop key=%top key=%mode key=%slot key=%playrate key=%volume key=%pan key=%audiostreamnum]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオ/SWF再生の停止
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="stopvideo"]
[unknown key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[ラベル・ジャンプ操作] サブルーチンから戻る
;attr=countpage / 「読んだ」と見なすか / _CONST_BOOL / true(デフォルト) または false
;attr=storage / 戻り先のシナリオファイル名 / _ENUM_FILENAME_SCENARIO / シナリオファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=target / 戻り先のラベル名 / _ENUM_LABEL / ラベル名
;<endmacrocomment>
[macro name="return"]
[unknown key=%countpage key=%storage key=%cond key=%target]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 文字表示位置の指定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=x / 横方向位置 / _NUMBER_PIXEL / 横方向位置 (pixel単位)
;attr=y / 縦方向位置 / _NUMBER_PIXEL / 縦方向位置 (pixel単位)
;<endmacrocomment>
[macro name="locate"]
[unknown key=%cond key=%x key=%y]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオ/SWFの再生準備
;attr=storage / [必須] ファイル名 / _ENUM_FILENAME_BGM / ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="openvideo"]
[unknown key=%storage key=%cond  key=%slot]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオ再生の終了待ち
;attr=canskip / スキップできるか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="wv"]
[unknown key=%canskip key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤの属性
;attr=page / ページ / _CONST_LAYERPAGE / "fore"(デフォルト) または "back"
;attr=visible / レイヤの可視・不可視 / _CONST_BOOL / true または false
;attr=left / レイヤ左端位置 / _NUMBER_PIXEL / 左端位置(pixel単位)
;attr=opacity / 不透明度 / _RANGE_BYTE_NUMBER / 不透明度 ( 0 (全くの透明) ～ 255 (全くの不透明 ) )
;attr=autohide / メッセージレイヤとともに隠すか / _CONST_BOOL / true または false
;attr=index / 重ね合わせ順序 / _NUMBER_INTEGER / 正の整数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] 対象レイヤ / _OPRANGE_LAYER_MESSAGE$_OPRANGE_LAYER_NUMBER / 0 以上の整数または message0 または message1 または message
;attr=top / レイヤ上端位置 / _NUMBER_PIXEL / 上端位置(pixel単位)
;<endmacrocomment>
[macro name="layopt"]
[unknown key=%page key=%visible key=%left key=%opacity key=%autohide key=%index key=%cond key=%layer key=%top]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオの一時停止
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="pausevideo"]
[unknown key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] スナップショットのロック
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="locksnapshot"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] デフォルトのスタイルの設定
;attr=pitch / 字間 / _NUMBER_PIXEL / 字間オフセット(pixel単位)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=linesize / 文字サイズの予約サイズ / _NUMBER_PIXEL / 予約サイズ(pixel単位)
;attr=linespacing / 行間 / _NUMBER_PIXEL / 行間 (pixel単位)
;<endmacrocomment>
[macro name="defstyle"]
[unknown key=%pitch key=%cond key=%linesize key=%linespacing]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] 式の評価
;attr=exp / [必須] TJS 式 / _STR_TJSVAL / TJS 式
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="eval"]
[unknown key=%exp key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤ画像の解放
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;<endmacrocomment>
[macro name="freeimage"]
[unknown key=%cond key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] クリッカブルマップの無効化
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;<endmacrocomment>
[macro name="mapdisable"]
[unknown key=%cond key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[マクロ操作] マクロの記述(の終了)
;<endmacrocomment>
[macro name="endmacro"]
[unknown]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGMのフェード
;attr=time / [必須] フェード時間 / _NUMBER_MSTIME / 時間(ms単位)
;attr=volume / [必須] 音量 / _RANGE_VALUME / 音量% (0～100)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="fadebgm"]
[unknown key=%time key=%volume key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 文字表示ノーウェイト(の終了)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="endnowait"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] メッセージレイヤの文字の消去
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="er"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] タイトル指定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=name / [必須] タイトル / _STR_CHARTEXT / タイトル
;<endmacrocomment>
[macro name="title"]
[unknown key=%cond key=%name]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] スタイルの設定
;attr=pitch / 字間 / _NUMBER_PIXEL / 字間オフセット(pixel単位)
;attr=autoreturn / 自動改行・改ページの設定 / _CONST_BOOL$default / "true" または "false" または "default"
;attr=align / 文字揃え / _CONST_ALIGN$center$default / "left"/"top" または "center" または "right"/"bottom" または "default"
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=linesize / 文字サイズの予約サイズ / _NUMBER_PIXEL$default / 予約サイズ(pixel単位) または "default"
;attr=linespacing / 行間 / _NUMBER_PIXEL / 行間 (pixel単位)
;<endmacrocomment>
[macro name="style"]
[unknown key=%pitch key=%autoreturn key=%align key=%cond key=%linesize key=%linespacing]
[endmacro]

;<macrocomment>
;tag=[メッセージ履歴操作] メッセージ履歴アクション
;attr=exp / [必須] 実行する式 / _STR_TJSVAL / TJS式
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="hact"]
[unknown key=%exp key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] スキップの解除
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="cancelskip"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] 文字列の入力
;attr=prompt / プロンプト / _STR_CHARTEXT / プロンプトとして表示する文字列
;attr=title / タイトル / _STR_CHARTEXT / ダイアログボックスのタイトル
;attr=name / [必須] 変数名 / _STR_CHARTEXT / 変数名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="input"]
[unknown key=%prompt key=%title key=%name key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音再生の停止
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="stopse"]
[unknown key=%buf key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] クリックスキップの設定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=enabled / [必須] 有効・無効の設定 / _CONST_BOOL / true または false
;<endmacrocomment>
[macro name="clickskip"]
[unknown key=%cond key=%enabled]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 縦中横を表示する
;attr=expand / 行間を拡張するか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=text / [必須] 表示する文字 / _STR_CHARTEXT / 文字
;<endmacrocomment>
[macro name="hch"]
[unknown key=%expand key=%cond key=%text]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM 再生の終了待ち
;attr=canskip / スキップできるかどうか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="wl"]
[unknown key=%canskip key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] 画像の部分追加読み込み
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;attr=opacity / 不透明度 / _RANGE_BYTE_NUMBER / 不透明度 ( 0 (全くの透明) ～ 255 (全くの不透明 ) )
;attr=sy / 画像読み込み元 y 座標 / _NUMBER_PIXEL / ピクセル単位
;attr=sx / 画像読み込み元 x 座標 / _NUMBER_PIXEL / ピクセル単位
;attr=dx / [必須] 画像読み込み先 x 座標 / _NUMBER_PIXEL / ピクセル単位
;attr=dy / [必須] 画像読み込み先 y 座標 / _NUMBER_PIXEL / ピクセル単位
;attr=mode / 重ね合わせモード / _CONST_PILEMODE / "copy" または "opaque" または "pile"(デフォルト) または "alpha" または "add" または "sub" または "mul" または "dodge" または "darken" または "lighten" または "screen"
;attr=sh / 画像読み込み元高さ / _NUMBER_PIXEL / ピクセル単位
;attr=sw / 画像読み込み元幅 / _NUMBER_PIXEL / ピクセル単位
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=key / カラーキー / _DLG_RRGGBB_COLOR$_NUMBER_INTEGER$adapt / 0xRRGGBB 形式 または パレットインデックス番号 または "adapt"
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=storage / [必須] 画像ファイル名 / _ENUM_FILENAME_IMAGE / 画像ファイル名
;<endmacrocomment>
[macro name="pimage"]
[unknown key=%page key=%opacity key=%sy key=%sx key=%dx key=%dy key=%mode key=%sh key=%sw key=%cond key=%key key=%layer key=%storage]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞のコピー
;attr=from / [必須] コピー元の栞番号 / _NUMBER_INTEGER / 0または正の整数
;attr=to / [必須] コピー先の栞番号 / _NUMBER_INTEGER / 0または正の整数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="copybookmark"]
[unknown key=%from key=%to key=%cond]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 通過記録を行う
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="record"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] 自動ウェイト
;attr=time / ウェイト / _NUMBER_INTEGER / ウェイト(文字数単位)
;attr=ch / 自動ウェイトを入れる文字 / _STR_CHARTEXT / 対象の文字
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=enabled / 自動ウェイトを有効にするか / _CONST_BOOL / true または false
;<endmacrocomment>
[macro name="autowc"]
[unknown key=%time key=%ch key=%cond key=%enabled]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM の演奏
;attr=storage / [必須] BGM ファイル名 / _ENUM_FILENAME_BGM / BGM ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=loop / ループするか / _CONST_BOOL / true(デフォルト) または false
;<endmacrocomment>
[macro name="playbgm"]
[unknown key=%storage key=%cond key=%loop]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞の保存
;attr=ask / 確認をするか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=place / 保存場所 / _NUMBER_INTEGER / 0または正の整数(0がデフォルト)
;<endmacrocomment>
[macro name="save"]
[unknown key=%ask key=%cond key=%place]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 文字属性設定
;attr=edge / 袋文字にするか / _CONST_BOOL$default / true または false または "default"
;attr=italic / 斜体にするか / _CONST_BOOL$default / true または false または "default"
;attr=size / 文字サイズ / _NUMBER_PIXEL$default / 文字サイズ(pixel単位) または "default"
;attr=color / 文字色 / _DLG_RRGGBB_COLOR$default / 0xRRGGBB 形式 または "default"
;attr=shadow / 影を表示するか / _CONST_BOOL$default / true または false または "default"
;attr=rubyoffset / ルビの表示位置 / _NUMBER_PIXEL$default / ルビの表示オフセット(pixel単位) または "default"
;attr=edgecolor / 袋文字の袋の色 / _DLG_RRGGBB_COLOR$default / 0xRRGGBB 形式 または "default"
;attr=face / フォント名 / _DLG_FONT_NAME$default$user / フォント名 または "default" または "user"
;attr=shadowcolor / 影の色 / _DLG_RRGGBB_COLOR$default / 0xRRGGBB 形式 または "default"
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=rubysize / ルビのサイズ / _NUMBER_PIXEL$default / ルビの文字サイズ(pixel単位) または "default"
;attr=bold / 太文字にするか / _CONST_BOOL$default / true または false または "default"
;<endmacrocomment>
[macro name="font"]
[unknown key=%edge key=%italic key=%size key=%color key=%shadow key=%rubyoffset key=%edgecolor key=%face key=%shadowcolor key=%cond key=%rubysize key=%bold]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] 条件によりシナリオを実行
;attr=exp / [必須] TJS 式 / _STR_TJSVAL / TJS 式
;<endmacrocomment>
[macro name="if"]
[unknown key=%exp]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオのセグメントループ再生
;attr=end / [必須] 終了フレーム番号 / _NUMBER_INTEGER / フレーム番号
;attr=start / [必須] 開始フレーム番号 / _NUMBER_INTEGER / フレーム番号
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="videosegloop"]
[unknown key=%end key=%start key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞のメモリ上への保存
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=place / 保存場所 / _NUMBER_INTEGER / 0または正の整数(0がデフォルト)
;<endmacrocomment>
[macro name="tempsave"]
[unknown key=%cond key=%place]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] デフォルトの文字属性設定
;attr=edge / 袋文字にするか / _CONST_BOOL / true または false
;attr=size / 文字サイズ / _NUMBER_PIXEL / 文字サイズ(pixel単位)
;attr=color / 文字色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=rubyoffset / ルビの表示位置 / _NUMBER_PIXEL / ルビの表示オフセット(pixel単位)
;attr=edgecolor / 袋文字の袋の色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=shadow / 影を表示するか / _CONST_BOOL / true または false
;attr=shadowcolor / 影の色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=face / フォント名 / _DLG_FONT_NAME$user / フォント名 または "user"
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=rubysize / ルビのサイズ / _NUMBER_PIXEL / ルビの文字サイズ(pixel単位)
;attr=bold / 太文字にするか / _CONST_BOOL / true または false
;<endmacrocomment>
[macro name="deffont"]
[unknown key=%edge key=%size key=%color key=%rubyoffset key=%edgecolor key=%shadow key=%shadowcolor key=%face key=%cond key=%rubysize key=%bold]
[endmacro]

;<macrocomment>
;tag=[システム操作] 「次の選択肢まですすむ」の設定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=enabled / [必須] 有効・無効の設定 / _CONST_BOOL / true または false
;<endmacrocomment>
[macro name="nextskip"]
[unknown key=%cond key=%enabled]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオ/SWFの再生
;attr=storage / ファイル名 / _ENUM_FILENAME_VIDEO / ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="playvideo"]
[unknown key=%storage key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] スタイルをデフォルトに戻す
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="resetstyle"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ履歴操作] メッセージ履歴の改行/改ページ
;attr=repage / 改ページかどうか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="hr"]
[unknown key=%repage key=%cond]
[endmacro]

;<macrocomment>
;tag=[フォーム操作] 単一行エディットの作成
;attr=color / 文字色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=maxchars / 最大文字数 / _STR_CHARTEXT / 最大文字数
;attr=opacity / 背景色の不透明度 / _RANGE_BYTE_NUMBER / 0(完全透明) ～ 255(完全不透明)
;attr=bgcolor / 背景色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=name / [必須] 変数名 / _STR_CHARTEXT / 変数名
;attr=length / 幅 / _NUMBER_PIXEL / 幅 (pixel 単位)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="edit"]
[unknown key=%color key=%maxchars key=%opacity key=%bgcolor key=%name key=%length key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオレイヤ設定
;attr=channel / [必須] チャンネル / _NUMBER_POSITIVE / 1 または 2
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] レイヤ / _NUMBER_INTEGER / レイヤ番号(0～)
;attr=page / [必須] ページ / _CONST_LAYERPAGE / "fore" または "back"
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="videolayer"]
[unknown key=%channel key=%cond key=%layer key=%page key=%slot]
[endmacro]

;<macrocomment>
;tag=[システム操作] 画面揺らしの終了待ち
;attr=canskip / スキップできるかどうか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="wq"]
[unknown key=%canskip key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオの再生準備
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="preparevideo"]
[unknown key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音の再生
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=storage / [必須] 効果音ファイル名 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=loop / 繰り返し再生を行うか / _CONST_BOOL / true または false(デフォルト)
;<endmacrocomment>
[macro name="playse"]
[unknown key=%buf key=%storage key=%cond key=%loop]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] 条件によりシナリオを無視
;attr=exp / [必須] TJS 式 / _STR_TJSVAL / TJS 式
;<endmacrocomment>
[macro name="ignore"]
[unknown key=%exp]
[endmacro]

;<macrocomment>
;tag=[ラベル・ジャンプ操作] ハイパーリンク(の終了)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="endlink"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 文字の表示速度の設定
;attr=speed / [必須] 文字ウェイト / user$nowait$_NUMBER_MSTIME / "nowait" または "user" またはウェイトの値(ms単位)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="delay"]
[unknown key=%speed key=%cond]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] 条件によりシナリオを実行(の終了)
;<endmacrocomment>
[macro name="endif"]
[unknown]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] インライン画像表示
;attr=char / 文字として処理するか / _CONST_BOOL / true (デフォルト) または false
;attr=key / カラーキー / _DLG_RRGGBB_COLOR$_NUMBER_INTEGER$adapt / 0xRRGGBB 形式 または パレットインデックス番号 または "adapt"
;attr=alt / 代替文字 / _STR_CHARTEXT / 代替文字
;attr=storage / [必須] 画像ファイル名 / _ENUM_FILENAME_IMAGE / 画像ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="graph"]
[unknown key=%char key=%key key=%alt key=%storage key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] システム変数の全消去
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="clearsysvar"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] ウェイトを入れる
;attr=time / [必須] 時間 / _NUMBER_MSTIME / 時間(ミリ秒)
;attr=canskip / スキップできるか / _CONST_BOOL / true(デフォルト) または false
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=mode / ウェイトの方式 / _CONST_WAITMODE / "normal"(デフォルト) または "until"
;<endmacrocomment>
[macro name="wait"]
[unknown key=%time key=%canskip key=%cond key=%mode]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞の機能の一時的な使用不可
;attr=restore / 「栞をたどる」の機能 / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=store / 「栞をはさむ」の機能 / _CONST_BOOL / true(デフォルト) または false
;<endmacrocomment>
[macro name="disablestore"]
[unknown key=%restore key=%cond key=%store]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオレイヤ解除
;attr=channel / [必須] チャンネル / _NUMBER_POSITIVE / 1 または 2
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="clearvideolayer"]
[unknown key=%channel key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 改行する
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="r"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] TJS スクリプトの記述(の終了)
;<endmacrocomment>
[macro name="endscript"]
[unknown]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤの自動移動
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;attr=spline / スプライン補間 / _CONST_BOOL / true または false(デフォルト)
;attr=accel / 加速度的な動きをするかどうか / _NUMBER_REAL / -1 未満の数または 0(デフォルト) または 1 より大きい数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=delay / 動作を開始するまでの時間 / _NUMBER_MSTIME / 時間(ms単位)
;attr=layer / [必須] 対象レイヤ / _OPRANGE_LAYER_MESSAGE$_OPRANGE_LAYER_NUMBER / 0 以上の整数 または message0 または message1 または message
;attr=path / [必須] 移動位置 / _STR_CHARTEXT / "(x1,y1,opacity1) (x2,y2,opacity2) ..."
;attr=time / [必須] 1点を通過する時間 / _NUMBER_MSTIME / 時間(ms単位)
;<endmacrocomment>
[macro name="move"]
[unknown key=%page key=%spline key=%accel key=%cond key=%delay key=%layer key=%path key=%time]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞の消去
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=place / 消去する栞の番号 / _NUMBER_INTEGER / 0または正の整数(0がデフォルト)
;<endmacrocomment>
[macro name="erasebookmark"]
[unknown key=%cond key=%place]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤへの文字描画
;attr=size / 文字サイズ / _NUMBER_PIXEL / 文字サイズ(pixel単位)
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=edge / 袋文字にするか / _CONST_BOOL / true または false(デフォルト)
;attr=shadowcolor / 影の色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=text / [必須] 描画する文字 / _STR_CHARTEXT / 文字列
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;attr=edgecolor / 袋文字の袋の色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=bold / 太文字にするか / _CONST_BOOL / true または false(デフォルト)
;attr=shadow / 影を表示するか / _CONST_BOOL / true(デフォルト) または false
;attr=x / [必須] x座標値 / _NUMBER_PIXEL / pixel単位
;attr=y / [必須] y座標値 / _NUMBER_PIXEL / pixel単位
;attr=vertical / 縦書きかどうか / _CONST_BOOL / false(デフォルト) または true
;attr=color / 文字色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=angle / 文字描画角度 / _NUMBER_INTEGER / 角度の10倍
;attr=italic / 斜体にするか / _CONST_BOOL / true または false(デフォルト)
;attr=face / フォント名 / _DLG_FONT_NAME / フォント名
;<endmacrocomment>
[macro name="ptext"]
[unknown key=%size key=%layer key=%cond key=%edge key=%shadowcolor key=%text key=%page key=%edgecolor key=%bold key=%shadow key=%x key=%y key=%vertical key=%color key=%angle key=%italic key=%face]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 改ページクリック待ち
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="p"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] マウスカーソルの変更
;attr=default / 通常のマウスカーソル / _CONST_CURSOR$_ENUM_FILENAME_CURSOR / cr で始まるカーソル定数 または カーソルファイル名
;attr=pointed / ポイントした時のマウスカーソル / _CONST_CURSOR$_ENUM_FILENAME_CURSOR / cr で始まるカーソル定数 または カーソルファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=click / クリック待ちのマウスカーソル / _CONST_CURSOR$_ENUM_FILENAME_CURSOR / cr で始まるカーソル定数 または カーソルファイル名
;attr=draggable / ドラッグ可能の時のマウスカーソル / _CONST_CURSOR$_ENUM_FILENAME_CURSOR / cr で始まるカーソル定数 または カーソルファイル名
;<endmacrocomment>
[macro name="cursor"]
[unknown key=%default key=%pointed key=%cond key=%click key=%draggable]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM を入れ替える
;attr=time / [必須] フェード時間 / _NUMBER_MSTIME / フェードを行っている時間 (ms単位)
;attr=volume / 次の曲の音量 / _RANGE_VALUME / 音量% (0～100)
;attr=storage / [必須] BGM ファイル名 / _ENUM_FILENAME_BGM / BGM ファイル名
;attr=overlap / オーバーラップ時間 / _NUMBER_MSTIME / オーバーラップを行う時間(ms単位)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=loop / ループするか / _CONST_BOOL / true(デフォルト) または false
;<endmacrocomment>
[macro name="xchgbgm"]
[unknown key=%time key=%volume key=%storage key=%overlap key=%cond key=%loop]
[endmacro]

;<macrocomment>
;tag=[ラベル・ジャンプ操作] グラフィカルボタン
;attr=hint / ツールチップヒント / _STR_CHARTEXT / ヒントとして表示させる文字列
;attr=onenter / マウス進入時 / _STR_TJSVAL / TJS 式
;attr=target / ラベル名 / _ENUM_LABEL / ラベル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=onleave / マウス退出時 / _STR_TJSVAL / TJS 式
;attr=leavesebuf / マウス退出時の効果音のバッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号
;attr=exp / TJS 式 / _STR_TJSVAL / TJS 式
;attr=entersebuf / マウス進入時の効果音のバッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号
;attr=storage / シナリオファイル名 / _ENUM_FILENAME_SCENARIO / シナリオファイル名
;attr=enterse / マウス進入時の効果音 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;attr=recthit / 矩形で当たり判定を行うかどうか / _CONST_BOOL / true(デフォルト) または false
;attr=graphickey / 画像のカラーキー / _DLG_RRGGBB_COLOR$_NUMBER_INTEGER$adapt / 0xRRGGBB 形式 または パレットインデックス番号 または "adapt"
;attr=clickse / クリック時の効果音 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;attr=countpage / このジャンプを「読んだ」と見なすか / _CONST_BOOL / true(デフォルト) または false
;attr=clicksebuf / クリック時の効果音のバッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号
;attr=graphic / [必須] ボタンにする画像 / _ENUM_FILENAME_IMAGE / 画像ファイル名
;attr=leavese / マウス退出時の効果音 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;<endmacrocomment>
[macro name="button"]
[unknown key=%hint key=%onenter key=%target key=%cond key=%onleave key=%leavesebuf key=%exp key=%entersebuf key=%storage key=%enterse key=%recthit key=%graphickey key=%clickse key=%countpage key=%clicksebuf key=%graphic key=%leavese]
[endmacro]

;<macrocomment>
;tag=[システム操作] プラグインの読み込み
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=module / [必須] プラグイン名 / _ENUM_FILENAME_PLUGIN / プラグインファイル名
;<endmacrocomment>
[macro name="loadplugin"]
[unknown key=%cond key=%module]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] メッセージレイヤのリセット
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="ct"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM 演奏の再開
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="resumebgm"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGMのフェードアウト
;attr=time / [必須] フェード時間 / _NUMBER_MSTIME / 時間(ms単位)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="fadeoutbgm"]
[unknown key=%time key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 文字を表示する
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=text / [必須] 表示する文字 / _STR_CHARTEXT / 文字
;<endmacrocomment>
[macro name="ch"]
[unknown key=%cond key=%text]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] トランジションの終了待ち
;attr=canskip / スキップできるかどうか / _CONST_BOOL / true(デフォルト) または false
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="wt"]
[unknown key=%canskip key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 「自動的に読み進む」の解除
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="cancelautomode"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] すべてのメッセージレイヤのクリア
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="cm"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] クリックを待つ
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="waitclick"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] フェードインしながらのBGM再生開始
;attr=time / [必須] フェード時間 / _NUMBER_MSTIME / 時間(ms単位)
;attr=storage / [必須] 再生する曲 / _ENUM_FILENAME_BGM$_NUMBER_INTEGER / BGM ファイル名 または CD トラック番号
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=loop / ループするか / _CONST_BOOL / true(デフォルト) または false
;<endmacrocomment>
[macro name="fadeinbgm"]
[unknown key=%time key=%storage key=%cond key=%loop]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞機能の設定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=enabled / [必須] 有効・無効の設定 / _CONST_BOOL / true または false
;<endmacrocomment>
[macro name="store"]
[unknown key=%cond key=%enabled]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] インデントの設定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="indent"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ履歴操作] メッセージ履歴の表示
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="showhistory"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] アニメーションの開始
;attr=seg / [必須] セグメント / _NUMBER_POSITIVE / 1 以上の整数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=target / [必須] 開始ラベル / _ENUM_LABEL / 開始ラベル名
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;<endmacrocomment>
[macro name="animstart"]
[unknown key=%seg key=%cond key=%target key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[メッセージ履歴操作] メッセージ履歴の設定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=enabled / メッセージ履歴の表示可能・不可能 / _CONST_BOOL / true または false
;attr=output / 文字情報の出力 / _CONST_BOOL / true または false
;<endmacrocomment>
[macro name="history"]
[unknown key=%cond key=%enabled key=%output]
[endmacro]

;<macrocomment>
;tag=[マクロ操作] マクロの記述
;attr=name / [必須] タグ名 / _STR_CHARTEXT / タグ名
;<endmacrocomment>
[macro name="macro"]
[unknown key=%name]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] 画像の読み込み
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=key / カラーキー / _DLG_RRGGBB_COLOR$_NUMBER_INTEGER$adapt / 0xRRGGBB 形式 または パレットインデックス番号 または "adapt"
;attr=clipheight / クリップ矩形高さ / _NUMBER_PIXEL / クリップ矩形高さ(pixel単位)
;attr=mapaction / 領域アクション定義ファイル / _ENUM_FILENAME_ACTION / 領域アクション定義ファイル名
;attr=fliplr / 左右反転 / _CONST_BOOL / true または false(デフォルト)
;attr=flipud / 上下反転 / _CONST_BOOL / true または false(デフォルト)
;attr=clipleft / クリップ矩形左端位置 / _NUMBER_PIXEL / クリップ矩形左端位置(pixel単位)
;attr=rceil / R輝度最高値 / _RANGE_BYTE_NUMBER / R輝度最高値 ( 0 ～ 255(デフォルト) )
;attr=gceil / G輝度最高値 / _RANGE_BYTE_NUMBER / G輝度最高値 ( 0 ～ 255(デフォルト) )
;attr=gceil / G輝度最高値 / _RANGE_BYTE_NUMBER / G輝度最高値 ( 0 ～ 255(デフォルト) )
;attr=bceil / B輝度最高値 / _RANGE_BYTE_NUMBER / B輝度最高値 ( 0 ～ 255(デフォルト) )
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;attr=visible / レイヤの可視・不可視 / _CONST_BOOL / true または false
;attr=mcolor / ブレンド色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=left / レイヤ左端位置 / _NUMBER_PIXEL / 左端位置(pixel単位)
;attr=storage / [必須] 画像ファイル名 / _ENUM_FILENAME_IMAGE / 画像ファイル名
;attr=grayscale / 画像をグレースケールにするか / _CONST_BOOL / true または false
;attr=mode / 前景レイヤ透過モード / _CONST_TRANSMODE / "alpha"(デフォルト) または "transp" "opaque" "rect" "add" "sub" "mul" "dodge" "darken" "lighten" "screen" "psadd" "pssub" "psmul" "psscreen" "psoverlay" "pshlight" "psslight" "psdodge" "psdodge5" "psburn" "pslighten" "psdarken" "psdiff" "psdiff5" "psexcl" のいずれか
;attr=opacity / 不透明度 / _RANGE_BYTE_NUMBER / 不透明度 ( 0 (全くの透明) ～ 255 (全くの不透明 ) )
;attr=clipwidth / クリップ矩形幅 / _NUMBER_PIXEL / クリップ矩形幅(pixel単位)
;attr=index / 重ね合わせ順序 / _NUMBER_POSITIVE / 正の整数
;attr=top / レイヤ上端位置 / _NUMBER_PIXEL / 上端位置(pixel単位)
;attr=cliptop / クリップ矩形上端位置 / _NUMBER_PIXEL / クリップ矩形上端位置(pixel単位)
;attr=mopacity / ブレンド色濃度 / _RANGE_BYTE_NUMBER / 不透明度(0 ～ 255)
;attr=pos / 前景レイヤ位置 / _CONST_LAYERPOS / left または left_center または center または right_center または right
;attr=rfloor / R輝度最低値 / _RANGE_BYTE_NUMBER / R輝度最低値 ( 0(デフォルト) ～ 255 )
;attr=gfloor / G輝度最低値 / _RANGE_BYTE_NUMBER / G輝度最低値 ( 0(デフォルト) ～ 255 )
;attr=bfloor / B輝度最低値 / _RANGE_BYTE_NUMBER / B輝度最低値 ( 0(デフォルト) ～ 255 )
;attr=rgamma / Rガンマ補正値 / _NUMBER_REAL / Rガンマ補正値 (0.1 ～ 1.0(デフォルト) ～ 9.9)
;attr=ggamma / Gガンマ補正値 / _NUMBER_REAL / Gガンマ補正値 (0.1 ～ 1.0(デフォルト) ～ 9.9)
;attr=bgamma / Bガンマ補正値 / _NUMBER_REAL / Bガンマ補正値 (0.1 ～ 1.0(デフォルト) ～ 9.9)
;attr=mapimage / 領域画像 / _ENUM_FILENAME_IMAGE / 画像ファイル名
;<endmacrocomment>
[macro name="image"]
[unknown key=%layer key=%key key=%clipheight key=%mapaction key=%fliplr key=%flipud key=%clipleft key=%rceil key=%gceil key=%bceil key=%page key=%visible key=%mcolor key=%cond key=%left key=%storage key=%grayscale key=%mode key=%opacity key=%clipwidth key=%index key=%top key=%cliptop key=%mopacity key=%pos key=%rfloor key=%gfloor key=%bfloor key=%rgamma key=%ggamma key=%bgamma key=%mapimage]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] クリッカブルマップ用領域アクション定義ファイルの指定
;attr=storage / [必須] 領域アクション定義ファイル / _ENUM_FILENAME_ACTION / 領域アクション定義ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;<endmacrocomment>
[macro name="mapaction"]
[unknown key=%storage key=%cond key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 文字表示ノーウェイト
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="nowait"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] クリッカブルマップ用領域画像の指定
;attr=storage / [必須] 画像ファイル名 / _ENUM_FILENAME_IMAGE / 画像ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;<endmacrocomment>
[macro name="mapimage"]
[unknown key=%storage key=%cond key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[システム操作] 画面揺らしの停止
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="stopquake"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] メッセージを消す
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="hidemessage"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤの数の変更
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layers / 前景レイヤの数 / _NUMBER_INTEGER / 0 または正の整数
;attr=messages / メッセージレイヤの数 / _NUMBER_POSITIVE / 正の整数
;<endmacrocomment>
[macro name="laycount"]
[unknown key=%cond key=%layers key=%messages]
[endmacro]

;<macrocomment>
;tag=[ラベル・ジャンプ操作] サブルーチンの呼び出し
;attr=countpage / このジャンプを「読んだ」と見なすか / _CONST_BOOL / false(デフォルト) または true
;attr=storage / シナリオファイル名 / _ENUM_FILENAME_SCENARIO / シナリオファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=target / ラベル名 / _ENUM_LABEL / ラベル名
;<endmacrocomment>
[macro name="call"]
[unknown key=%countpage key=%storage key=%cond key=%target]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音のフェードアウト
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=time / [必須] フェードアウト時間 / _NUMBER_MSTIME / フェードアウト時間(ms)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="fadeoutse"]
[unknown key=%buf key=%time key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 文字属性をデフォルトに戻す
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="resetfont"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] ウェイトの初期化
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="resetwait"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] リンクのロック
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="locklink"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] TJS スクリプトの記述
;<endmacrocomment>
[macro name="iscript"]
[unknown]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞のメモリ上からの読み込み
;attr=se / 効果音を読み込むか / _CONST_BOOL / true (デフォルト) または false
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=bgm / BGM を読み込むか / _CONST_BOOL / true (デフォルト) または false
;attr=place / 保存場所 / _NUMBER_INTEGER / 0または正の整数(0がデフォルト)
;attr=backlay / 表ページを裏ページに読み込むか / _CONST_BOOL / true または false (デフォルト)
;<endmacrocomment>
[macro name="tempload"]
[unknown key=%se key=%cond key=%bgm key=%place key=%backlay]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] クリック待ち記号の指定
;attr=page / 改ページクリック待ち記号 / _ENUM_FILENAME_IMAGE / 改ページクリック待ち記号ファイル名
;attr=left / 記号表示位置を固定するか / _NUMBER_PIXEL / 左端位置(pixel単位)
;attr=top / 記号表示位置を固定するか / _NUMBER_PIXEL / 上端位置(pixel単位)
;attr=linekey / 行末クリック待ち記号のカラーキー / _DLG_RRGGBB_COLOR$_NUMBER_INTEGER$adapt / 0xRRGGBB 形式 または パレットインデックス番号 または "adapt"
;attr=line / 行末クリック待ち記号 / _ENUM_FILENAME_IMAGE / 行末クリック待ち記号ファイル名
;attr=fix / 記号表示位置を固定するか / _CONST_BOOL / true または false
;attr=pagekey / 改ページクリック待ち記号のカラーキー / _DLG_RRGGBB_COLOR$_NUMBER_INTEGER$adapt / 0xRRGGBB 形式 または パレットインデックス番号 または "adapt"
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="glyph"]
[unknown key=%page key=%left key=%top key=%linekey key=%line key=%fix key=%pagekey key=%cond]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] 条件によりシナリオを無視(の終了)
;<endmacrocomment>
[macro name="endignore"]
[unknown]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] コンソールへ値の出力
;attr=exp / [必須] TJS 式 / _STR_TJSVAL / TJS 式
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="trace"]
[unknown key=%exp key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM 演奏の停止
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="stopbgm"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] ルビ指定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=text / [必須] ルビ / _STR_CHARTEXT / ルビとして表示される文字
;<endmacrocomment>
[macro name="ruby"]
[unknown key=%cond key=%text]
[endmacro]

;<macrocomment>
;tag=[マクロ操作] マクロの消去
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=name / [必須] タグ名 / _STR_CHARTEXT / タグ名
;<endmacrocomment>
[macro name="erasemacro"]
[unknown key=%cond key=%name]
[endmacro]

;<macrocomment>
;tag=[システム操作] 右クリックの設定
;attr=name / メニュー項目名 / default / メニュー項目名または "default"
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=storage / サブルーチンの呼び出し先/ジャンプ先ファイル / _ENUM_FILENAME_SCENARIO / ファイル
;attr=enabled / 右クリック動作を行うか / _CONST_BOOL / true または false
;attr=jump / 指定場所にジャンプするか / _CONST_BOOL / true または false
;attr=target / サブルーチンの呼び出し先/ジャンプ先 / _ENUM_LABEL / ラベル
;attr=call / サブルーチンを呼び出すか / _CONST_BOOL / true または false
;<endmacrocomment>
[macro name="rclick"]
[unknown key=%name key=%cond key=%storage key=%enabled key=%jump key=%target key=%call]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] トリガを待つ
;attr=onskip / スキップされたとき / _STR_TJSVAL / TJS式
;attr=canskip / スキップできるか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=name / [必須] トリガ名 / _STR_TJSVAL / トリガ名
;<endmacrocomment>
[macro name="waittrig"]
[unknown key=%onskip key=%canskip key=%cond key=%name]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 栞の読み込み
;attr=ask / 確認をするか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=place / 保存場所 / _NUMBER_INTEGER / 0または正の整数(0がデフォルト)
;<endmacrocomment>
[macro name="load"]
[unknown key=%ask key=%cond key=%place]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM 演奏の一時停止
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="pausebgm"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音の設定
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=volume / 音量 / _RANGE_VALUME / 音量% (0～100)
;attr=gvolume / 大域音量 / _RANGE_VALUME / 音量% (0～100)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=pan / パン / _RANGE_SOUNDPAN / パン (-100～0～100)
;<endmacrocomment>
[macro name="seopt"]
[unknown key=%buf key=%volume key=%gvolume key=%cond key=%pan]
[endmacro]

;<macrocomment>
;tag=[システム操作] 停止する
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="s"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[システム操作] ウィンドウを閉じる
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=ask / 確認をするか / _CONST_BOOL / true(デフォルト) または false
;<endmacrocomment>
[macro name="close"]
[unknown key=%cond key=%ask]
[endmacro]

;<macrocomment>
;tag=[フォーム操作] フォーム内容の確定
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="commit"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 「最初に戻る」の有効・無効
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=enabled / 有効・無効の設定 / _CONST_BOOL / "true"(デフォルト) または "false"
;<endmacrocomment>
[macro name="startanchor"]
[unknown key=%cond key=%enabled]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] インデントの解除
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="endindent"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤのトランジションの停止
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="stoptrans"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤ情報の表ページから裏ページへのコピー
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / 対象レイヤ / base$_OPRANGE_LAYER_MESSAGE$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数2 または message0 または message1 または message
;<endmacrocomment>
[macro name="backlay"]
[unknown key=%cond key=%layer]
[endmacro]

;<macrocomment>
;tag=[システム操作] 画面を揺らす
;attr=time / [必須] 揺らしている期間 / _NUMBER_MSTIME / 文字数または ms(ミリ秒)
;attr=vmax / 縦揺れ最大振幅 / _NUMBER_PIXEL / pixel 単位
;attr=hmax / 横揺れ最大振幅 / _NUMBER_PIXEL / pixel 単位
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=timemode / time属性の単位 / _CONST_TIMETYPE / "ms" または "delay"
;<endmacrocomment>
[macro name="quake"]
[unknown key=%time key=%vmax key=%hmax key=%cond key=%timemode]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] 行末クリック待ち
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="l"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[メッセージ操作] メッセージレイヤの属性
;attr=layer / 対象レイヤ / _OPRANGE_LAYER_MESSAGE / message0 または message1 または message
;attr=frame / フレーム画像 / _ENUM_FILENAME_IMAGE / フレーム画像のファイル名
;attr=left / 左端位置 / _NUMBER_PIXEL / 左端位置 ( pixel 単位 )
;attr=opacity / レイヤの不透明度 / _RANGE_BYTE_NUMBER / 不透明度 ( 0 ～ 255 )
;attr=visible / 可視か / _CONST_BOOL / "true" または "false"
;attr=page / 対象ページ / _CONST_LAYERPAGE / "fore" または "back"
;attr=width / 幅 / _NUMBER_PIXEL / 幅 ( pixel 単位 )
;attr=marginb / 下余白 / _NUMBER_PIXEL / 下余白 ( pixel 単位 )
;attr=marginl / 左余白 / _NUMBER_PIXEL / 左余白 ( pixel 単位 )
;attr=top / 上端位置 / _NUMBER_PIXEL / 上端位置 ( pixel 単位 )
;attr=color / レイヤの色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=framekey / フレーム画像のカラーキー / _DLG_RRGGBB_COLOR$_NUMBER_INTEGER$adapt / 0xRRGGBB 形式 または パレットインデックス番号 または "adapt"
;attr=margint / 上余白 / _NUMBER_PIXEL / 上余白 ( pixel 単位 )
;attr=vertical / 縦書きモード / _CONST_BOOL / "true" または "false"
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=draggable / マウスでドラッグ可能か / _CONST_BOOL / "true" または "false"
;attr=marginr / 右余白 / _NUMBER_PIXEL / 右余白 ( pixel 単位 )
;attr=height / 高さ / _NUMBER_PIXEL / 高さ ( pixel 単位 )
;<endmacrocomment>
[macro name="position"]
[unknown key=%layer key=%frame key=%left key=%opacity key=%visible key=%page key=%width key=%marginb key=%marginl key=%top key=%color key=%framekey key=%margint key=%vertical key=%cond key=%draggable key=%marginr key=%height]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] 自動移動の終了待ち
;attr=canskip / スキップできるかどうか / _CONST_BOOL / true(デフォルト) または false
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="wm"]
[unknown key=%canskip key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音のフェード
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=volume / [必須] 到達音量 / _RANGE_VALUME / 音量% (0～100)
;attr=time / [必須] フェード時間 / _NUMBER_MSTIME / フェード時間(ms)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="fadese"]
[unknown key=%buf key=%volume key=%time key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤのトランジション
;attr=rule / ルール画像 / _ENUM_FILENAME_IMAGE / ルール画像名
;attr=vague / あいまい領域値 / _NUMBER_INTEGER / あいまい領域値 (0～)
;attr=children / 子レイヤも含めるか / _CONST_BOOL / true(デフォルト) または false
;attr=stay / 元画像がその場に居座るか / _CONST_LAYERSTAYTYPE / "stayfore" または "stayback" または "nostay"(デフォルト)
;attr=method / トランジションのタイプ / _CONST_TRANSTYPE / "universal" (デフォルト) または "scroll" またはその他
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / 対象レイヤ / base$_OPRANGE_LAYER_MESSAGE$_OPRANGE_LAYER_NUMBER / "base"(デフォルト) または 0 以上の整数 またはは message0 または message1 または message
;attr=from / スクロールされる方向 / _CONST_ALIGN / "left" または "top" または "right" または "bottom"
;attr=time / [必須] トランジション時間 / _NUMBER_MSTIME / 時間(ms単位)
;<endmacrocomment>
[macro name="trans"]
[unknown key=%rule key=%vague key=%children key=%stay key=%method key=%cond key=%layer key=%from key=%time]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] レイヤ情報のコピー
;attr=destlayer / [必須] コピー先レイヤ / base$_OPRANGE_LAYER_MESSAGE$_OPRANGE_LAYER_NUMBER / "base" または 0 または 1 または 2 または message0 または message1 または message
;attr=srcpage / コピー元ページ / _CONST_LAYERPAGE / "fore" または "back"
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=srclayer / [必須] コピー元レイヤ / base$_OPRANGE_LAYER_MESSAGE$_OPRANGE_LAYER_NUMBER / "base" または 0 または 1 または 2 または message0 または message1 または message
;attr=destpage / コピー先ページ / _CONST_LAYERPAGE / "fore" または "back"
;<endmacrocomment>
[macro name="copylay"]
[unknown key=%destlayer key=%srcpage key=%cond key=%srclayer key=%destpage]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] スナップショットのロックの解除
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="unlocksnapshot"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] 効果音フェードの終了待ち
;attr=buf / 効果音バッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号( 0(デフォルト) ～ )
;attr=canskip / スキップできるかどうか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="wf"]
[unknown key=%buf key=%canskip key=%cond]
[endmacro]

;<macrocomment>
;tag=[レイヤ操作] アニメーションの停止待ち
;attr=seg / [必須] セグメント / _NUMBER_INTEGER / 0 または正の整数
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=layer / [必須] 対象レイヤ / base$_OPRANGE_LAYER_NUMBER / "base" または 0 以上の整数
;attr=page / ページ / _CONST_LAYERPAGE / "back" または "fore"
;<endmacrocomment>
[macro name="wa"]
[unknown key=%seg key=%cond key=%layer key=%page]
[endmacro]

;<macrocomment>
;tag=[システム操作] レンダリング済みフォントの割り当て
;attr=storage / [必須] ファイル名 / _ENUM_FILENAME_FONT / ファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="mappfont"]
[unknown key=%storage key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] BGM フェードの終了待ち
;attr=canskip / スキップできるかどうか / _CONST_BOOL / true または false(デフォルト)
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="wb"]
[unknown key=%canskip key=%cond]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] 式評価結果の埋め込み
;attr=exp / [必須] TJS 式 / _STR_TJSVAL / TJS 式
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="emb"]
[unknown key=%exp key=%cond]
[endmacro]

;<macrocomment>
;tag=[フォーム操作] チェックボックスの作成
;attr=color / チェックマークの色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=opacity / 背景色の不透明度 / _RANGE_BYTE_NUMBER / 0(完全透明) ～ 255(完全不透明)
;attr=bgcolor / 背景色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=name / [必須] 変数名 / _STR_CHARTEXT / 変数名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="checkbox"]
[unknown key=%color key=%opacity key=%bgcolor key=%name key=%cond]
[endmacro]

;<macrocomment>
;tag=[ラベル・ジャンプ操作] ハイパーリンク
;attr=leavese / マウス退出時の効果音 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;attr=hint / ツールチップヒント / _STR_CHARTEXT / ヒントとして表示させる文字列
;attr=countpage / このジャンプを「読んだ」と見なすか / _CONST_BOOL / true(デフォルト) または false
;attr=color / リンクの強調色 / _DLG_RRGGBB_COLOR / 0xRRGGBB 形式
;attr=onleave / マウス退出時 / _STR_TJSVAL / TJS 式
;attr=entersebuf / マウス進入時の効果音のバッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号
;attr=onenter / マウス進入時 / _STR_TJSVAL / TJS 式
;attr=target / ラベル名 / _ENUM_LABEL / ラベル名
;attr=clickse / クリック時の効果音 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;attr=clicksebuf / クリック時の効果音のバッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号
;attr=enterse / マウス進入時の効果音 / _ENUM_FILENAME_SOUND / 効果音ファイル名
;attr=storage / シナリオファイル名 / _ENUM_FILENAME_SCENARIO / シナリオファイル名
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=exp / TJS 式 / _STR_TJSVAL / TJS 式
;attr=leavesebuf / マウス退出時の効果音のバッファ番号 / _OPRANGE_SOUND_BUFF / 効果音バッファ番号
;<endmacrocomment>
[macro name="link"]
[unknown key=%leavese key=%hint key=%countpage key=%color key=%onleave key=%entersebuf key=%onenter key=%target key=%clickse key=%clicksebuf key=%enterse key=%storage key=%cond key=%exp key=%leavesebuf]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオのセグメントループ再生の解除
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="cancelvideosegloop"]
[unknown key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 前に戻る
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=ask / 確認をするか / _CONST_BOOL / true または false(デフォルト)
;<endmacrocomment>
[macro name="goback"]
[unknown key=%cond key=%ask]
[endmacro]

;<macrocomment>
;tag=[栞・通過記録操作] 最初に戻る
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=ask / 確認をするか / _CONST_BOOL / true または false(デフォルト)
;<endmacrocomment>
[macro name="gotostart"]
[unknown key=%cond key=%ask]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオの巻き戻し
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="rewindvideo"]
[unknown key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[変数・TJS 操作] ゲーム変数の全消去
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;<endmacrocomment>
[macro name="clearvar"]
[unknown key=%cond]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ピリオドイベントの解除
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="cancelvideoevent"]
[unknown key=%cond key=%slot]
[endmacro]

;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオ再生の再開
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;<endmacrocomment>
[macro name="resumevideo"]
[unknown key=%cond key=%slot]
[endmacro]


;<macrocomment>
;tag=[効果音・BGM・ビデオ操作] ビデオピリオドイベント待ち
;attr=cond / TJS評価式 / _STR_TJSVAL / TJS式
;attr=slot / ムービーオブジェクト番号 / _NUMBER_INTEGER / ムービーオブジェクト番号(0～)
;attr=slot / イベントの種類 / _STR_TJSVAL / "loop","period","prepare","segLoop"のいずれか
;<endmacrocomment>
[macro name="wp"]
[unknown key=%cond key=%slot key=%for]
[endmacro]
