@if exp="typeof(global.clock_object) == 'undefined'"
@iscript

// v\ ( KAG Plugin Tv )


class ClockPlugin extends KAGPlugin // uvvvOCNX
{
	var fore, back; // \ʂ̃CƗʂ̃C
	var timer; // ^C}
	var window; // EBhEւ̎Q

	function ClockPlugin(window)
	{
		// ClockPlugin RXgN^
		super.KAGPlugin(); // X[p[NX̃RXgN^Ă

		fore = new Layer(window, window.fore.base);
			// \ʗp̃C\wiCeɂč쐬
		back = new Layer(window, window.back.base);
			// ʗp̃C𗠔wiCeɂč쐬
		fore.absolute = back.absolute = 2000000-2;
			// dˍ킹̓bZ[W
			// (uvvOC̐ᗱ)
		fore.hitType = back.hitType = htMask;
		fore.hitThreshold = back.hitThreshold = 256;
			// }EXbZ[W͑S擧

		fore.setPos(510, 0);
		back.setPos(510, 0);
			// ʒu

		fore.setImageSize(130, 36);
		fore.setSizeToImageSize();
		fore.fillRect(0, 0, fore.imageWidth, fore.imageHeight, 0);
			// \̃TCYƓhԂ ( S )
		back.assignImages(fore);
		back.setSizeToImageSize();
			// ̉摜\Rs[ė̃TCY
		fore.visible = back.visible = fore.seen = back.seen = false;
			// \\Ԃ
		fore.font.face = back.font.face = "lr SVbN";
		fore.font.height = back.font.height = 28;
			// tHgƃTCYݒ

		timer = new Timer(onTimer, '');
			// ^C}IuWFNg쐬
			// (onTimer CxgnhƂ)
		timer.interval = 1000;
		timer.enabled = true;
			// ƗL/ݒ

		this.window = window; // window ւ̎QƂۑ
	}

	function finalize()
	{
		invalidate fore;
		invalidate back;
			// \/̃C𖳌
		invalidate timer;
			// ^C}𖳌
		super.finalize(...);
	}

	function setOptions(elm)
	{
		// IvVݒ
		fore.visible = fore.seen = +elm.forevisible if elm.forevisible !== void;
			// \̉/s
		back.visible = back.seen = +elm.backvisible if elm.backvisible !== void;
			// ̉/s
		var l = fore.left;
		var t = fore.top;
		var poschanged = false;
		(l = +elm.left, poschanged = true) if elm.left !== void;
		(t = +elm.top, poschanged = true) if elm.top !== void;
		if(poschanged)
		{
			fore.setPos(l, t);
			back.setPos(l, t);
				// \ʒu̕ύX
		}
		onTimer(); // \XV
	}

	function onTimer()
	{
		// ^C}̎ƂɌĂ΂
		if(!fore.seen && !back.seen) return;
		var current = new Date();
			// tIuWFNg쐬
		var time = "%02d:%02d:%02d".sprintf(
			current.getHours(), current.getMinutes(),
			current.getSeconds());
			// t
		fore.fillRect(0, 0, fore.imageWidth, fore.imageHeight, 0);
			// nNA
		fore.drawText(5, 5, time, 0xffffff, 255, true, 512, 0, 5, 2, 2);
			// `
		back.assignImages(fore);
			// ʂɉ摜Rs[
			// assignImages ͓Iɂ͉摜L悤ɂȂ邾
			// sRXg̑傫\bhł͂Ȃ
	}

	function onStore(f, elm)
	{
		// xۑƂ
		var dic = f.clock = %[];
			// f.clock Ɏz쐬
		dic.foreVisible = fore.seen;
		dic.backVisible = back.seen;
		dic.left = fore.left;
		dic.top = fore.top;
			// ezɋL^
	}

	function onRestore(f, clear, elm)
	{
		// xǂݏoƂ
		var dic = f.clock;
		if(dic === void)
		{
			// clock ̏񂪞xɕۑĂȂ
			fore.visible = fore.seen = false;
			back.visible = back.seen = false;
		}
		else
		{
			// clock ̏񂪞xɕۑĂ
			setOptions(%[ forevisible : dic.foreVisible, backvisible : dic.backVisible,
				left : dic.left, top : dic.top]);
				// IvVݒ
		}
	}

	function onStableStateChanged(stable)
	{
		// uv( s l p ̊e^OŒ~ ) A
		// usv ( ȊO ) ̏ԂςƂɌĂ΂
	}

	function onMessageHiddenStateChanged(hidden)
	{
		// bZ[WC[ȖɂĉBƂAƂ
		// Ă΂BbZ[WCƂƂɕ\/\؂ւƂ
		// Őݒ肷B
		if(hidden)
		{
			fore.visible = back.visible = false;
		}
		else
		{
			fore.visible = fore.seen;
			back.visible = back.seen;
		}
	}

	function onCopyLayer(toback)
	{
		// C̕\̏̃Rs[

		// backlay ^OgWV̏IɌĂ΂

		// ŃCɊւăRs[ׂȂ̂
		// \/\̏񂾂

		if(toback)
		{
			// \
			back.visible = fore.visible;
			back.seen = fore.seen;
		}
		else
		{
			// \
			fore.visible = back.visible;
			fore.seen = back.seen;
		}
	}

	function onExchangeForeBack()
	{
		// ƕ\̊Ǘ

		// children = true ̃gWVł́AgWVI
		// \ʂƗʂ̃C\ւ̂ŁA
		// ܂ \ʂƎvĂ̂ʂɁAʂƎv
		// ̂\ʂɂȂĂ܂B̃^C~Oł̏
		// ւ΁A͐ȂōςށB

		// ŕ\ʁAʂ̃CɊւĊǗׂȂ̂
		// fore  back ̕ϐ
		var tmp;
		tmp = back;
		back = fore;
		fore = tmp;
	}

}

kag.addPlugin(global.clock_object = new ClockPlugin(kag));
	// vOCIuWFNg쐬Ao^

@endscript
@endif
;
; }N̓o^
@macro name="clockopt"
@eval exp="clock_object.setOptions(mp)"
; mp }NɓnꂽzIuWFNg
@endmacro
@return
