@if exp="typeof(global.snow_object) == 'undefined'"
@iscript

/*
	ӂ点vOC
*/

class SnowGrain
{
	// ᗱ̃NX

	var fore; // \ʂ̐ᗱIuWFNg
	var back; // ʂ̐ᗱIuWFNg
	var xvelo; // x
	var yvelo; // cx
	var xaccel; // 
	var l, t; // ʒuƏcʒu
	var ownwer; // ̃IuWFNgL SnowPlugin IuWFNg
	var spawned = false; // ᗱoĂ邩
	var window; // EBhEIuWFNgւ̎Q

	function SnowGrain(window, n, owner)
	{
		// SnowGrain RXgN^
		this.owner = owner;
		this.window = window;

		fore = new Layer(window, window.fore.base);
		back = new Layer(window, window.back.base);

		fore.absolute = 2000000-1; // dˍ킹̓bZ[W
		back.absolute = fore.absolute;

		fore.hitType = htMask;
		fore.hitThreshold = 256; // }EXbZ[W͑S擧
		back.hitType = htMask;
		back.hitThreshold = 256;

		fore.loadImages("snow_" + n); // 摜ǂݍ
		back.assignImages(fore);
		fore.setSizeToImageSize(); // C̃TCY摜̃TCYƓ
		back.setSizeToImageSize();
		xvelo = 0; // x
		yvelo = n*0.6 + 1.9 + Math.random() * 0.2; // cx
		xaccel = Math.random(); // x
	}

	function finalize()
	{
		invalidate fore;
		invalidate back;
	}

	function spawn()
	{
		// o
		l = Math.random() * window.primaryLayer.width; // ʒu
		t = -fore.height; // cʒu
		spawned = true;
		fore.setPos(l, t);
		back.setPos(l, t); // ʂ̈ʒu
		fore.visible = owner.foreVisible;
		back.visible = owner.backVisible;
	}

	function resetVisibleState()
	{
		// \E\̏ԂĐݒ肷
		if(spawned)
		{
			fore.visible = owner.foreVisible;
			back.visible = owner.backVisible;
		}
		else
		{
			fore.visible = false;
			back.visible = false;
		}
	}

	function move()
	{
		// ᗱ𓮂
		if(!spawned)
		{
			// oĂȂ̂ŏo@
			if(Math.random() < 0.002) spawn();
		}
		else
		{
			l += xvelo;
			t += yvelo;
			xvelo += xaccel;
			xaccel += (Math.random() - 0.5) * 0.3;
			if(xvelo>=1.5) xvelo=1.5;
			if(xvelo<=-1.5) xvelo=-1.5;
			if(xaccel>=0.2) xaccel=0.2;
			if(xaccel<=-0.2) xaccel=-0.2;
			if(t >= window.primaryLayer.height)
			{
				t = -fore.height;
				l = Math.random() * window.primaryLayer.width;
			}
			fore.setPos(l, t);
			back.setPos(l, t); // ʂ̈ʒu
		}
	}

	function exchangeForeBack()
	{
		// \Ɨ̊Ǘ
		var tmp = fore;
		fore = back;
		back = tmp;
	}
}

class SnowPlugin extends KAGPlugin
{
	// U炷vOCNX

	var snows = []; // ᗱ
	var timer; // ^C}
	var window; // EBhEւ̎Q
	var foreVisible = true; // \ʂ\Ԃǂ
	var backVisible = true; // ʂ\Ԃǂ

	function SnowPlugin(window)
	{
		super.KAGPlugin();
		this.window = window;
	}

	function finalize()
	{
		// finalize \bh
		// ̃NX̊Ǘ邷ׂẴIuWFNg𖾎Iɔj
		for(var i = 0; i < snows.count; i++)
			invalidate snows[i];
		invalidate snows;

		invalidate timer if timer !== void;

		super.finalize(...);
	}

	function init(num, options)
	{
		// num ̐ᗱo
		if(timer !== void) return; // łɐᗱ͂łĂ

		// ᗱ쐬
		for(var i = 0; i < num; i++)
		{
			var n = intrandom(0, 4); // ᗱ̑傫 ( _ )
			snows[i] = new SnowGrain(window, n, this);
		}
		snows[0].spawn(); // ŏ̐ᗱ͍ŏ\

		// ^C}[쐬
		timer = new Timer(onTimer, '');
		timer.interval = 80;
		timer.enabled = true;

		foreVisible = true;
		backVisible = true;
		setOptions(options); // IvVݒ
	}

	function uninit()
	{
		// ᗱ
		if(timer === void) return; // ᗱ͂łĂȂ

		for(var i = 0; i < snows.count; i++)
			invalidate snows[i];
		snows.count = 0;

		invalidate timer;
		timer = void;
	}

	function setOptions(elm)
	{
		// IvVݒ肷
		foreVisible = +elm.forevisible if elm.forevisible !== void;
		backVisible = +elm.backvisible if elm.backvisible !== void;
		resetVisibleState();
	}

	function onTimer()
	{
		// ^C}[̎ƂɌĂ΂
		var snowcount = snows.count;
		for(var i = 0; i < snowcount; i++)
			snows[i].move(); // move \bhĂяo
	}

	function resetVisibleState()
	{
		// ׂĂ̐ᗱ \E\̏ԂĐݒ肷
		var snowcount = snows.count;
		for(var i = 0; i < snowcount; i++)
			snows[i].resetVisibleState(); // resetVisibleState \bhĂяo
	}

	function onStore(f, elm)
	{
		// xۑƂ
		var dic = f.snows = %[];
		dic.init = timer !== void;
		dic.foreVisible = foreVisible;
		dic.backVisible = backVisible;
		dic.snowCount = snows.count;
	}

	function onRestore(f, clear, elm)
	{
		// xǂݏoƂ
		var dic = f.snows;
		if(dic === void || !+dic.init)
		{
			// ͂łĂȂ
			uninit();
		}
		else if(dic !== void && +dic.init)
		{
			// ͂łĂ
			init(dic.snowCount, %[ forevisible : dic.foreVisible, backvisible : dic.backVisible ] );
		}
	}

	function onStableStateChanged(stable)
	{
	}

	function onMessageHiddenStateChanged(hidden)
	{
	}

	function onCopyLayer(toback)
	{
		// C̕\̃Rs[
		// ̃vOCł̓Rs[ׂ͕\E\̏񂾂
		if(toback)
		{
			// \
			backVisible = foreVisible;
		}
		else
		{
			// \
			foreVisible = backVisible;
		}
		resetVisibleState();
	}

	function onExchangeForeBack()
	{
		// ƕ\̊Ǘ
		var snowcount = snows.count;
		for(var i = 0; i < snowcount; i++)
			snows[i].exchangeForeBack(); // exchangeForeBack \bhĂяo
	}
}

kag.addPlugin(global.snow_object = new SnowPlugin(kag));
	// vOCIuWFNg쐬Ao^

@endscript
@endif
; }No^
@macro name="snowinit"
@eval exp="snow_object.init(17, mp)"
@endmacro
@macro name="snowuninit"
@eval exp="snow_object.uninit()"
@endmacro
@macro name="snowopt"
@eval exp="snow_object.setOptions(mp)"
@endmacro
@return
